/*
 Theme Name:   OceanWP Child
 Description:  Child Theme des high-performance WP-Theme OceanWP
 Author:       Philipp Limbeck
 Author URI:   https://insyde.at/
 Template:     oceanwp
 Version:      1.0
 Text Domain:  oceanwp-child
*/

/* overwrite general settings of oceanwp for focus of links (black border) */
#main a:focus,
#site-header a:focus,
#footer a:focus{
	outline: 0px !important;
}

:root {
    --farbe-orange: #ba5523;
    --farbe-gruen: #344137;
    --farbe-braun: #5e4c38;
    --farbe-creme: #FDFAD9;
}

.nomargin-bottom {
	margin-bottom: 0px !important;
}




/* Menü Header */

#site-header.transparent-header {
	background-color: rgba(255,255,255,0.8) !important;
}


.dropdown-menu ul li a.menu-link {
	text-transform: none !important;
}



div.headertext {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);	
}


span.headerh {
	font-size: 50px;
	font-family: "Poppins", sans-serif;
	color: #fff;
	text-transform: uppercase;
	font-weight: 600;
	text-shadow: 1px 1px #344137;
}

@media only screen and (max-width: 800px) {
span.headerh {
	font-size: 40px;
}
}

span.headert {
	color: #fff;
	font-size: 40px;
	text-transform: uppercase;
	font-family: "Poppins", sans-serif;
}

div.zeile-pattern {
    background-image: url(/wp-content/uploads/2025/04/pattern-cloth-800.jpg);
    background-repeat: repeat-x;
    padding: 15px;
	margin-left: 0px;
  margin-right: 0px;
}

div.zeile-pattern-dotted {
	border: 2px dotted var(--farbe-braun);
	padding: 15px;
}


span.zeile-pattern-heading {
	font-size: 35px;
	font-weight: 600;
}

/* Button Gartenplanung */

div.vc_btn3-container.planung-button.vc_btn3-left.vc_do_btn a,
div.vc_btn3-container.planung-button.vc_btn3-center.vc_do_btn a {
	font-size: 20px;
	font-weight: 700;
	text-decoration: none !important;
}


div.startseite-bild-mitte {
	padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 35px !important;
}


/* Footer */

footer#footer.site-footer {
	background-image: url(/wp-content/uploads/2025/03/pattern-cloth.jpg);
	background-repeat: repeat;
}

div.footer-padding {
	padding-left: 50px;
	padding-right: 50px;
	padding-top: 15px;
	padding-bottom: 15px;
}

div.footerorange {
	background-color: var(--farbe-orange);
	padding-top: 20px;
	padding-bottom: 20px;
	margin-bottom: 15px;
	padding-right: 50px;
	color: var(--farbe-creme);
}

div.footer-infotext {
	text-transform: uppercase;
	font-weight: 500;
	font-size: 20px; 
	font-family: "Poppins", sans-serif;
}

.footerlinks a {
	font-family: "Poppins", sans-serif;
}

.footerlinks-info a {
	font-family: "Poppins", sans-serif;
	font-size: 14px;
}

span.footer-shoplink {
	font-size: 20px;
	border: 1px dashed var(--farbe-braun);
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 4px;
	padding-top: 4px;
}


span.footer-shoplink:hover {
	font-weight: 600;
}


#footer form input[type="email"] {
	background-color: var(--farbe-creme) !important;
	font-weight: 900;
	opacity: 1;
	color: var(--farbe-braun);
}

/* Woocommerce Shop - alles deaktiviert */

/*
header.woocommerce-products-header,
.woocommerce article.entry-content.entry.clr,
body.woocommerce-cart .site-content,
body.woocommerce-checkout .site-content,
body.woocommerce-account .site-content
 {
	margin-top: 100px;
}


.archive #shop-intro-row ul{
	list-style: none;
}

.archive #shop-intro-row ul li:before{
	font-family: 'FontAwesome';
	margin: 0 7px 0 -15px;
    color: var(--farbe-cappuccino);
}

.archive #shop-intro-row ul li:first-child:before {    
    content: '\f49e';
}
.archive #shop-intro-row ul li:nth-child(2):before {    
    content: '\f0d1';
}

.archive #shop-intro-row ul li:nth-child(3):before {    
    content: '\f53c';
}

#shop-intro-row {
	font-size: 24px;
}


div.woocommerce-message {
	font-size: 18px;
	border: 1px dashed var(--farbe-braun);
	color: var(--farbe-braun);
}

div.woocommerce-message::before {
	color: var(--farbe-braun);
}

a.button.wc-forward {
	color: var(--farbe-creme);
	font-family: "Poppins", sans-serif;
	font-size: 16px;
}

h2.single-post-title.product_title.entry-title {
	border-bottom: none;
}

.woocommerce div.product form.cart {
	border-bottom: none !important;
	border-top: none !important;
}


div.woocommerce-product-gallery__image {
	text-align: center;
}

div#tab-additional_information {
	display: none !important;
}


div.woocommerce-variation-price span.woocommerce-Price-amount.amount bdi {
	font-size: 30px;
	font-weight: 700;
}

a.scroll-to-form-button.button {
	margin-top: 20px;
	font-family: "Poppins", sans-serif;
  font-size: 16px;
  line-height: 20px;
  text-transform: none;
  color: #fff;
	font-weight: 400;
}

div#tab-description h2 {
	display: none;
}

*/

/* Warenkorb */

/*
.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__header, table.wc-block-cart-items .wc-block-cart-items__header,
h2.wp-block-woocommerce-cart-order-summary-heading-block.wc-block-cart__totals-title {
	font-family: "Poppins", sans-serif !important;
	font-size: 1em !important;
}

.wc-block-components-button:not(.is-link) .wc-block-components-button__text {
	color: var(--farbe-creme);
	font-family: "Poppins", sans-serif;
	font-size: 18px;	
}

div.wc-block-components-product-metadata__description {
	display: none;
}
*/

/* Danke Seite */

/*
p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
	color: var(--farbe-braun);
	font-family: "Poppins", sans-serif;
	font-size: 35px;
	text-align: center;
	font-weight: 500;
	position: relative;
}

p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received::before {
	content: "";
	display: block;
	width: auto;
	max-width: 100%;
	height: auto;
	aspect-ratio: 3 / 1;
	background-image: url('/wp-content/uploads/2025/04/hofleben_header.jpg');
	background-size: contain;
	background-position: center center;
	background-repeat: no-repeat;
	margin-bottom: 20px;
}

h2.wc-bacs-bank-details-heading,
h2.woocommerce-order-details__title,
h2.woocommerce-column__title {
	font-size: 30px;
	text-transform: none;
}

h3.wc-bacs-bank-details-account-name {
	font-size: 25px;
}

.woocommerce .shop_table.order_details tfoot th {
	color: var(--farbe-braun) !important;
	background-color: #fff !important;
}

a.woocommerce-button.button.view.order-actions-button {
	color: var(--farbe-creme);
	font-family: "Poppins", sans-serif;
	font-size: 18px;		
}
*/



/* Out of Stock Badge Anfrage Button */

/* 
.single-product .product .outofstock-badge{
	font-family: "Poppins", sans-serif;
	font-size: 16px;
	line-height: 20px;
	top: 0;
	text-transform: none;
	background-color: var(--farbe-orange);
	left: 35%;
	right: -20px;
	position: absolute;
	color: var(--farbe-creme);
	padding: 8px 12px;
	font-weight: 300;
    z-index: 9;
	width: 210px;
	text-align: center;
}

.woocommerce ul.products li.product.outofstock .image-wrap .outofstock-badge{
	font-family: "Poppins", sans-serif;
	font-size: 16px;
	line-height: 20px;
	top: 15px;
	text-transform: none;
	left: 50%;
	right: -20px;
	background-color: var(--farbe-orange);
	color: var(--farbe-creme);
}
*/

/* Flycart */
/*
span.woofc-menu-item-inner-subtotal {
	font-size: 12px;
}

.woofc-menu-item .woofc-menu-item-inner::after {
	background-color: var(--farbe-orange);
}
*/

/* mobile */

#mobile-fullscreen ul li a {
	text-align: left !important;
}

.mobilefirst a {
	font-weight: 700;
}

@media only screen and (max-width: 1280px) {
div#site-header-inner.clr {
	padding: 10px 20px 0 20px;
}
}

/* Ninja Form */

div.nf-form-fields-required {
	display: none;
}


/* MOBILE */

#startseite-mobile,
#footer-mobile,
#zwischenbild-mobile,
#garten-mobile,
#gartenplan-mobile {
	display: none;
}

@media (max-width: 767px) {
	#startseite-mobile {
		display: block;
	}
	#startseite-desktop {
		display: none;
	}
	div.headerbild img {
		min-height: 350px;
		object-fit: cover;
	}
	#zwischenbild-desktop {
		display: none;
	}
	#zwischenbild-mobile {
		display: block;
	}
	#gartenplan-mobile {
		display: block;
	}
	#gartenplan-desktop {
		display: none;
	}
}


@media (max-width: 1000px) {
	#footer-mobile {
		display: block;
	}
	#footer-desktop {
		display: none;
	}
	div.footer-padding {
	padding-left: 15px !important;
	padding-right: 15px !important;
}
}


@media (max-width: 400px) {
	div.mc4wp-form-fields input[type="submit"] {
		padding: 5px 5px !important;
		font-size: 10px !important;
	}
}


.oceanwp-mobile-menu-icon a {
	font-size: 20px !important;
}

#mobile-fullscreen ul ul.sub-menu li a {
	font-size: 15px !important;
}

.oceanwp-mobile-menu-icon.mobile-right {
	padding-top: 25px;
}


@media (max-width: 1320px) {
	span.headerh {
		font-size: 40px !important;
	}
	span.headert {
		font-size: 30px !important;
	}
}

@media (max-width: 1050px) {
	span.headerh {
		font-size: 35px !important;
	}
	span.headert {
		font-size: 25px !important;
	}
}


@media (max-width: 930px) {
	span.headerh {
		font-size: 28px !important;
	}
	span.headert {
		font-size: 20px !important;
	}
}


#mobile-fullscreen nav {
	padding: 100px 0px 0px 0px !important;
	vertical-align: top !important;
}

@media (max-width: 1550px) {
	#garten-mobile {
		display: block;
	}
	#garten-desktop {
		display: none;
	}
}